## Index

### Interfaces

- CpuInfo
- NetworkInterfaceBase
- NetworkInterfaceInfoIPv4
- NetworkInterfaceInfoIPv6
- UserInfo

### Type aliases

- NetworkInterfaceInfo

### Variables

- EOL
- constants

### Functions

- arch
- cpus
- endianness
- freemem
- getPriority
- homedir
- hostname
- loadavg
- networkInterfaces
- platform
- release
- setPriority
- tmpdir
- totalmem
- type
- uptime
- userInfo

## Type aliases

### NetworkInterfaceInfo

NetworkInterfaceInfo: NetworkInterfaceInfoIPv4 | NetworkInterfaceInfoIPv6

- Defined in node_modules/@types/node/os.d.ts:39

## Variables

### Const EOL

EOL: string

- Defined in node_modules/@types/node/os.d.ts:184

### Const constants

constants: object

- Defined in node_modules/@types/node/os.d.ts:53

#### Type declaration

- ##### UV_UDP_REUSEADDR: number

- ##### errno: object

  - ##### E2BIG: number

  - ##### EACCES: number

  - ##### EADDRINUSE: number

  - ##### EADDRNOTAVAIL: number

  - ##### EAFNOSUPPORT: number

  - ##### EAGAIN: number

  - ##### EALREADY: number

  - ##### EBADF: number

  - ##### EBADMSG: number

  - ##### EBUSY: number

  - ##### ECANCELED: number

  - ##### ECHILD: number

  - ##### ECONNABORTED: number

  - ##### ECONNREFUSED: number

  - ##### ECONNRESET: number

  - ##### EDEADLK: number

  - ##### EDESTADDRREQ: number

  - ##### EDOM: number

  - ##### EDQUOT: number

  - ##### EEXIST: number

  - ##### EFAULT: number

  - ##### EFBIG: number

  - ##### EHOSTUNREACH: number

  - ##### EIDRM: number

  - ##### EILSEQ: number

  - ##### EINPROGRESS: number

  - ##### EINTR: number

  - ##### EINVAL: number

  - ##### EIO: number

  - ##### EISCONN: number

  - ##### EISDIR: number

  - ##### ELOOP: number

  - ##### EMFILE: number

  - ##### EMLINK: number

  - ##### EMSGSIZE: number

  - ##### EMULTIHOP: number

  - ##### ENAMETOOLONG: number

  - ##### ENETDOWN: number

  - ##### ENETRESET: number

  - ##### ENETUNREACH: number

  - ##### ENFILE: number

  - ##### ENOBUFS: number

  - ##### ENODATA: number

  - ##### ENODEV: number

  - ##### ENOENT: number

  - ##### ENOEXEC: number

  - ##### ENOLCK: number

  - ##### ENOLINK: number

  - ##### ENOMEM: number

  - ##### ENOMSG: number

  - ##### ENOPROTOOPT: number

  - ##### ENOSPC: number

  - ##### ENOSR: number

  - ##### ENOSTR: number

  - ##### ENOSYS: number

  - ##### ENOTCONN: number

  - ##### ENOTDIR: number

  - ##### ENOTEMPTY: number

  - ##### ENOTSOCK: number

  - ##### ENOTSUP: number

  - ##### ENOTTY: number

  - ##### ENXIO: number

  - ##### EOPNOTSUPP: number

  - ##### EOVERFLOW: number

  - ##### EPERM: number

  - ##### EPIPE: number

  - ##### EPROTO: number

  - ##### EPROTONOSUPPORT: number

  - ##### EPROTOTYPE: number

  - ##### ERANGE: number

  - ##### EROFS: number

  - ##### ESPIPE: number

  - ##### ESRCH: number

  - ##### ESTALE: number

  - ##### ETIME: number

  - ##### ETIMEDOUT: number

  - ##### ETXTBSY: number

  - ##### EWOULDBLOCK: number

  - ##### EXDEV: number

- ##### priority: object

  - ##### PRIORITY_ABOVE_NORMAL: number

  - ##### PRIORITY_BELOW_NORMAL: number

  - ##### PRIORITY_HIGH: number

  - ##### PRIORITY_HIGHEST: number

  - ##### PRIORITY_LOW: number

  - ##### PRIORITY_NORMAL: number

- ##### signals: object

  - ##### SIGABRT: number

  - ##### SIGALRM: number

  - ##### SIGBUS: number

  - ##### SIGCHLD: number

  - ##### SIGCONT: number

  - ##### SIGFPE: number

  - ##### SIGHUP: number

  - ##### SIGILL: number

  - ##### SIGINT: number

  - ##### SIGIO: number

  - ##### SIGIOT: number

  - ##### SIGKILL: number

  - ##### SIGPIPE: number

  - ##### SIGPOLL: number

  - ##### SIGPROF: number

  - ##### SIGPWR: number

  - ##### SIGQUIT: number

  - ##### SIGSEGV: number

  - ##### SIGSTKFLT: number

  - ##### SIGSTOP: number

  - ##### SIGSYS: number

  - ##### SIGTERM: number

  - ##### SIGTRAP: number

  - ##### SIGTSTP: number

  - ##### SIGTTIN: number

  - ##### SIGTTOU: number

  - ##### SIGUNUSED: number

  - ##### SIGURG: number

  - ##### SIGUSR1: number

  - ##### SIGUSR2: number

  - ##### SIGVTALRM: number

  - ##### SIGWINCH: number

  - ##### SIGXCPU: number

  - ##### SIGXFSZ: number

## Functions

### arch

- arch(): string

- - Defined in node_modules/@types/node/os.d.ts:181

  #### Returns string

### cpus

- cpus(): CpuInfo[]

- - Defined in node_modules/@types/node/os.d.ts:46

  #### Returns CpuInfo[]

### endianness

- endianness(): "BE" | "LE"

- - Defined in node_modules/@types/node/os.d.ts:185

  #### Returns "BE" | "LE"

### freemem

- freemem(): number

- - Defined in node_modules/@types/node/os.d.ts:44

  #### Returns number

### getPriority

- getPriority(pid?: undefined | number): number

- - Defined in node_modules/@types/node/os.d.ts:190

  Gets the priority of a process. Defaults to current process.

  #### Parameters

  - ##### Optional pid: undefined | number

  #### Returns number

### homedir

- homedir(): string

- - Defined in node_modules/@types/node/os.d.ts:50

  #### Returns string

### hostname

- hostname(): string

- - Defined in node_modules/@types/node/os.d.ts:41

  #### Returns string

### loadavg

- loadavg(): number[]

- - Defined in node_modules/@types/node/os.d.ts:42

  #### Returns number[]

### networkInterfaces

- networkInterfaces(): object

- - Defined in node_modules/@types/node/os.d.ts:49

  #### Returns object

  - ##### [index: string]: NetworkInterfaceInfo[]

### platform

- platform(): Platform

- - Defined in node_modules/@types/node/os.d.ts:182

  #### Returns Platform

### release

- release(): string

- - Defined in node_modules/@types/node/os.d.ts:48

  #### Returns string

### setPriority

- setPriority(priority: number): void
- setPriority(pid: number, priority: number): void

- - Defined in node_modules/@types/node/os.d.ts:195

  Sets the priority of the current process.

  #### Parameters

  - ##### priority: number

    Must be in range of -20 to 19

  #### Returns void

- - Defined in node_modules/@types/node/os.d.ts:200

  Sets the priority of the process specified process.

  #### Parameters

  - ##### pid: number

  - ##### priority: number

    Must be in range of -20 to 19

  #### Returns void

### tmpdir

- tmpdir(): string

- - Defined in node_modules/@types/node/os.d.ts:183

  #### Returns string

### totalmem

- totalmem(): number

- - Defined in node_modules/@types/node/os.d.ts:45

  #### Returns number

### type

- type(): string

- - Defined in node_modules/@types/node/os.d.ts:47

  #### Returns string

### uptime

- uptime(): number

- - Defined in node_modules/@types/node/os.d.ts:43

  #### Returns number

### userInfo

- userInfo(options: object): UserInfo<Buffer>
- userInfo(options?: undefined | object): UserInfo<string>

- - Defined in node_modules/@types/node/os.d.ts:51

  #### Parameters

  - ##### options: object

    - ##### encoding: "buffer"

  #### Returns UserInfo<Buffer>

- - Defined in node_modules/@types/node/os.d.ts:52

  #### Parameters

  - ##### Optional options: undefined | object

  #### Returns UserInfo<string>

Generated using TypeDoc